org.apache.solr.client.solrj.io.eval

## Class BooleanEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator
  - - org.apache.solr.client.solrj.io.eval.BooleanEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

Direct Known Subclasses:
  AndEvaluator, EqualsEvaluator, ExclusiveOrEvaluator, GreaterThanEqualToEvaluator, GreaterThanEvaluator, LessThanEqualToEvaluator, LessThanEvaluator, NotEvaluator, OrEvaluator

    public abstract class BooleanEvaluator
    extends ComplexEvaluator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static interface` `BooleanEvaluator.BooleanChecker`
`static interface` `BooleanEvaluator.Checker`
`static interface` `BooleanEvaluator.NullChecker`
`static interface` `BooleanEvaluator.NumberChecker`
`static interface` `BooleanEvaluator.StringChecker`

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`constructingFactory, nodeId, subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`BooleanEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Boolean` `evaluate(Tuple tuple)`
`List<Object>` `evaluateAll(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### BooleanEvaluator

    public BooleanEvaluator(StreamExpression expression,
                            StreamFactory factory)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluate

    public abstract Boolean evaluate(Tuple tuple)
                              throws IOException

Throws:
  `IOException`

#### evaluateAll

    public List<Object> evaluateAll(Tuple tuple)
                             throws IOException

Throws:
  `IOException`